apiVersion: logging.openshift.io/v1
kind: Elasticsearch
metadata:
  annotations:
    logging.openshift.io/elasticsearch-cert-management: "true"
    logging.openshift.io/elasticsearch-cert.collector: system.logging.fluentd
  creationTimestamp: "2022-02-10T04:32:21Z"
  generation: 2
  name: elasticsearch
  namespace: openshift-logging
  ownerReferences:
  - apiVersion: logging.openshift.io/v1
    controller: true
    kind: ClusterLogging
    name: instance
    uid: 44850c18-a0e3-4ceb-a496-05f8e7975f1b
  resourceVersion: "51641"
  uid: a8cfe4d3-cbd9-46f5-833a-421b512d805e
spec:
  indexManagement:
    mappings:
    - aliases:
      - app
      - logs.app
      name: app
      policyRef: app-policy
    - aliases:
      - infra
      - logs.infra
      name: infra
      policyRef: infra-policy
    - aliases:
      - audit
      - logs.audit
      name: audit
      policyRef: audit-policy
    policies:
    - name: app-policy
      phases:
        delete:
          minAge: 7d
          pruneNamespacesInterval: 30m
        hot:
          actions:
            rollover:
              maxAge: 8h
      pollInterval: 15m
    - name: infra-policy
      phases:
        delete:
          minAge: 7d
          pruneNamespacesInterval: 30m
        hot:
          actions:
            rollover:
              maxAge: 8h
      pollInterval: 15m
    - name: audit-policy
      phases:
        delete:
          minAge: 7d
          pruneNamespacesInterval: 30m
        hot:
          actions:
            rollover:
              maxAge: 8h
      pollInterval: 15m
  managementState: Managed
  nodeSpec:
    proxyResources:
      limits:
        memory: 256Mi
      requests:
        memory: 256Mi
    resources:
      requests:
        memory: 1Gi
  nodes:
  - genUUID: eve7qvpk
    nodeCount: 3
    proxyResources: {}
    resources: {}
    roles:
    - client
    - data
    - master
    storage:
      size: 100G
      storageClassName: gp2
  redundancyPolicy: SingleRedundancy
status:
  cluster:
    activePrimaryShards: 12
    activeShards: 24
    initializingShards: 0
    numDataNodes: 3
    numNodes: 3
    pendingTasks: 0
    relocatingShards: 0
    status: green
    unassignedShards: 0
  nodes:
  - deploymentName: elasticsearch-cdm-eve7qvpk-1
    upgradeStatus: {}
  - deploymentName: elasticsearch-cdm-eve7qvpk-2
    upgradeStatus: {}
  - deploymentName: elasticsearch-cdm-eve7qvpk-3
    upgradeStatus: {}
  pods:
    client:
      failed: []
      notReady: []
      ready:
      - elasticsearch-cdm-eve7qvpk-1-5d68fdc477-jl772
      - elasticsearch-cdm-eve7qvpk-2-78456975b8-wk229
      - elasticsearch-cdm-eve7qvpk-3-695f88f4f9-rc2p5
    data:
      failed: []
      notReady: []
      ready:
      - elasticsearch-cdm-eve7qvpk-1-5d68fdc477-jl772
      - elasticsearch-cdm-eve7qvpk-2-78456975b8-wk229
      - elasticsearch-cdm-eve7qvpk-3-695f88f4f9-rc2p5
    master:
      failed: []
      notReady: []
      ready:
      - elasticsearch-cdm-eve7qvpk-1-5d68fdc477-jl772
      - elasticsearch-cdm-eve7qvpk-2-78456975b8-wk229
      - elasticsearch-cdm-eve7qvpk-3-695f88f4f9-rc2p5
  shardAllocationEnabled: all
